Bug 669991 - Review Request: compiz-plugins-main - Main set of plugins for Compiz
Summary: Review Request: compiz-plugins-main - Main set of plugins for Compiz
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-16 15:21 UTC by Adam Williamson
Modified: 2013-01-10 21:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-10 21:25:33 UTC
Type: ---
adel.gadllah: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Adam Williamson 2011-01-16 15:21:14 UTC
Spec URL: http://www.happyassassin.net/extras/compiz-plugins-main.spec
SRPM URL: http://repos.fedorapeople.org/repos/Compiz09/compiz09/fedora-15/SRPMS/compiz-plugins-main-0.9.2.1-3.fc15.src.rpm
Description: A set of the most important and widely used plugins for the Compiz
compositing manager. This is more or less a rename of compiz-fusion.

rpmlint:

[adamw@vaioz x86_64]$ rpmlint *plugins-main* ../SRPMS/*plugins-main*
compiz-plugins-main.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
compiz-plugins-main-devel.x86_64: W: no-documentation
compiz-plugins-main-gconf.x86_64: W: no-documentation
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-opacify.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-mousepoll.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-colorfilter.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-titleinfo.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-imgjpeg.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-session.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-workarounds.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-ring.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-put.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-resizeinfo.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-snap.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-thumbnail.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-mag.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-text.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-neg.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-ezoom.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-vpswitch.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-winrules.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-shift.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-animation.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-expo.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-kdecompat.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-scaleaddon.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-wall.schemas
compiz-plugins-main-gconf.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-staticswitcher.schemas
compiz-plugins-main-gconf.x86_64: W: percent-in-%pre
compiz-plugins-main-gconf.x86_64: W: percent-in-%post
compiz-plugins-main-gconf.x86_64: W: percent-in-%preun
compiz-plugins-main.src: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
5 packages and 0 specfiles checked; 0 errors, 32 warnings.

all the non-conffile-in-etc are due to gconf2's historical decision to put schema files in /etc, nothing I can do about that. The macros in scripts are fine. no-documentation is fine as they depend on packages which include it. spelling-error is wrong. :)

Note that you won't likely be able to build this easily as it needs to build against compiz-devel > 0.9, and I don't want to push that into Rawhide until *this* is approved (this requires compiz to build, but compiz-gtk requires this package to run well, so I want to push a compiz build and then push this through immediately after). But you can build it if you use my fedorapeople repo - http://repos.fedorapeople.org/repos/Compiz09/compiz09 - or just use the binary builds from there, which were all done with mock on my system. I've tested this quite carefully and it works well.

Comment 1 Adam Williamson 2011-01-16 15:56:13 UTC
Adel Gadllah, the compiz maintainer, intends to review this, BTW.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Adam Williamson 2011-01-17 00:40:37 UTC
fixed a bug - the gconf scriptlets were broken because I didn't BR GConf2 so they weren't expanded at build time, d'oh. Fixed. Spec URL is unchanged, new .src.rpm is http://repos.fedorapeople.org/repos/Compiz09/compiz09/fedora-15/SRPMS/compiz-plugins-main-0.9.2.1-4.fc15.src.rpm



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Adel Gadllah 2011-01-17 15:12:51 UTC
======== PACKAGE REVIEW ========

[+] source files match upstream:
 3fc3f96e9961805364f362b9926555259d55b2f1c69988f253b70f1085c652af
[+] package meets naming and versioning guidelines.
[+] specfile is properly named, is cleanly written and uses macros consistently.
[+] dist tag is present.
[+] license field matches the actual license.
[+] license is open source-compatible.
    GPLv2+
[+] license text included in package.
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] compiler flags are appropriate.
[+] %clean is present.
[1] package builds in mock.
[+] package installs properly.
[+] debuginfo package looks complete.
[2] rpmlint is silent.
[+] final provides and requires are sane:
  provides:
compiz-fusion = 0.9.2.1-4.fc15
libanimation.so()(64bit)  
libcolorfilter.so()(64bit)  
libexpo.so()(64bit)  
libezoom.so()(64bit)  
libimgjpeg.so()(64bit)  
libkdecompat.so()(64bit)  
libmag.so()(64bit)  
libmousepoll.so()(64bit)  
libneg.so()(64bit)  
libopacify.so()(64bit)  
libput.so()(64bit)  
libresizeinfo.so()(64bit)  
libring.so()(64bit)  
libscaleaddon.so()(64bit)  
libsession.so()(64bit)  
libshift.so()(64bit)  
libsnap.so()(64bit)  
libstaticswitcher.so()(64bit)  
libtext.so()(64bit)  
libthumbnail.so()(64bit)  
libtitleinfo.so()(64bit)  
libvpswitch.so()(64bit)  
libwall.so()(64bit)  
libwinrules.so()(64bit)  
libworkarounds.so()(64bit)  
compiz-plugins-main = 0.9.2.1-4.fc15
compiz-plugins-main(x86-64) = 0.9.2.1-4.fc15
compiz-plugins-main-debuginfo = 0.9.2.1-4.fc15
compiz-plugins-main-debuginfo(x86-64) = 0.9.2.1-4.fc15
pkgconfig(compiz-animation) = 0.9.2.2
pkgconfig(compiz-mousepoll) = 0.9.2.2
pkgconfig(compiz-text) = 0.9.2.2
compiz-plugins-main-devel = 0.9.2.1-4.fc15
compiz-plugins-main-devel(x86-64) = 0.9.2.1-4.fc15
compiz-fusion-gnome = 0.9.2.1-4.fc15
compiz-plugins-main-gconf = 0.9.2.1-4.fc15
compiz-plugins-main-gconf(x86-64) = 0.9.2.1-4.fc15

    requires:

cmake  
compiz-devel >= 0.9.2.1
boost-devel  
pango-devel  
cairo-devel  
libjpeg-turbo-devel  
libGLU-devel  
GConf2  
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
compiz >= 0.9.2.1
libGL.so.1()(64bit)  
libGLU.so.1()(64bit)  
libICE.so.6()(64bit)  
libSM.so.6()(64bit)  
libX11-xcb.so.1()(64bit)  
libX11.so.6()(64bit)  
libXcomposite.so.1()(64bit)  
libXdamage.so.1()(64bit)  
libXext.so.6()(64bit)  
libXfixes.so.3()(64bit)  
libXinerama.so.1()(64bit)  
libXrandr.so.2()(64bit)  
libXrender.so.1()(64bit)  
libboost_serialization-mt.so.1.44.0()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libcairo.so.2()(64bit)  
libcompiztoolbox.so()(64bit)  
libcomposite.so()(64bit)  
libgcc_s.so.1()(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libgio-2.0.so.0()(64bit)  
libglib-2.0.so.0()(64bit)  
libglibmm-2.4.so.1()(64bit)  
libgmodule-2.0.so.0()(64bit)  
libgobject-2.0.so.0()(64bit)  
libgthread-2.0.so.0()(64bit)  
libjpeg.so.62()(64bit)  
libm.so.6()(64bit)  
libm.so.6(GLIBC_2.2.5)(64bit)  
libmousepoll.so()(64bit)  
libopengl.so()(64bit)  
libpango-1.0.so.0()(64bit)  
libpangocairo-1.0.so.0()(64bit)  
librt.so.1()(64bit)  
libscale.so()(64bit)  
libsigc-2.0.so.0()(64bit)  
libstartup-notification-1.so.0()(64bit)  
libstdc++.so.6()(64bit)  
libstdc++.so.6(CXXABI_1.3)(64bit)  
libstdc++.so.6(GLIBCXX_3.4)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.14)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)  
libtext.so()(64bit)  
libxcb.so.1()(64bit)  
libxml2.so.2()(64bit)  
libxml2.so.2(LIBXML2_2.4.30)(64bit)  
libxml2.so.2(LIBXML2_2.6.8)(64bit)  
libxslt.so.1()(64bit)  
libz.so.1()(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1
/usr/bin/pkg-config  
compiz-devel = 0.9.2.1-4.fc15
pkgconfig(cairo)  
pkgconfig(cairo-xlib-xrender)  
pkgconfig(compiz)  
pkgconfig(compiz-composite)  
pkgconfig(compiz-opengl)  
pkgconfig(pangocairo)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1
/bin/sh  
/bin/sh  
/bin/sh  
GConf2  
GConf2  
GConf2  
compiz-plugins-main = 0.9.2.1-4.fc15
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1


[+] no shared libraries are added to the regular linker search paths.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] scriptlets are present and sane.
[+] code, not content.
[+] documentation is small, so no -docs subpackage is necessary.
[+] %docs are not necessary for the proper functioning of the package.
[+] headers in devel package.
[+] pkgconfig file in devel package.
[+] no libtool .la droppings.

----

[1]: Builds fine after doing 
mock -r  fedora-rawhide-x86_64 install compiz-0.9.2.2-0.5.git619abc05b1.fc15.x86_64.rpm compiz-devel-0.9.2.2-0.5.git619abc05b1.fc15.x86_64.rpm
mock --no-clean -r fedora-rawhide-x86_64 compiz-plugins-main-0.9.2.1-4.fc15.src.rpm

Is fine as per comment #1

[2]: It isn't silent but the output is just noise that can be ignored.


=> APPROVED

Comment 4 Adam Williamson 2011-01-17 16:27:31 UTC
New Package SCM Request
=======================
Package Name: compiz-plugins-main
Short Description: Main set of plugins for Compiz
Owners: adamwill drago01
Branches: 
InitialCC: 




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Jens Petersen 2011-01-18 07:52:18 UTC
Git done (by process-git-requests).

Comment 6 François Cami 2013-01-10 21:25:33 UTC
Package built and shipped. Closing.


Note You need to log in before you can comment on or make changes to this bug.